import greenfoot.*; 

public class Explosion extends Actor
{
    private final static int IMAGE_COUNT= 10;       // ü ϴ ð
 
    private static GreenfootImage[] images;     //ũⰡ ٸ ̹ ϱ  迭
    
    private int imageNo = 0;        //ʱȭ
    
    private int increment=1;        // ü ̹ ȭϴ 
    
    // ü ϸ initializeImagesż带 ȣѴ
    
    public Explosion() 
    {
        initializeImages();
    }    
    
    //̹ ߴٰ ϵ 迭 ̹ ũ⸦  Ѵ

    public synchronized void initializeImages() 
    {
        if(images == null) {
            GreenfootImage baseImage = new GreenfootImage("explosion-big.png");
            images = new GreenfootImage[IMAGE_COUNT];
            for (int i = 0; i < IMAGE_COUNT; i++){
                int size = (i+1) * ( baseImage.getWidth() / IMAGE_COUNT / 3);
                images[i] = new GreenfootImage(baseImage);
                images[i].scale(size, size);
            }
        }
    }

    //迭  ̹  ü ̹ Ѵ
    
    public void act()
    { 
        setImage(images[imageNo]);

        imageNo += increment;
        if(imageNo >= IMAGE_COUNT) {
            increment = -increment;
            imageNo += increment;
        }
        
        if(imageNo < 0) {
            getWorld().removeObject(this);
        }
    }
}